## ros-one-rqt-bag 0.5.1-10jammy.20251014.2053

=== debian/changelog ===
ros-one-rqt-bag (0.5.1-10jammy.20251014.2053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 14 Oct 2025 20:53:21 +0000

ros-one-rqt-bag (0.5.1-0jammy) jammy; urgency=high

  * Fix merge sort in bag export. (#96 <https://github.com/ros-visualization/rqt_bag/issues/96>)
  * Reset timeline zoom after loading a new bag. (#97 <https://github.com/ros-visualization/rqt_bag/issues/97>)
  * Fix raw view (#94 <https://github.com/ros-visualization/rqt_bag/issues/94>)
  * Fix crash during merge sort of bag entries (fixes #90 <https://github.com/ros-visualization/rqt_bag/issues/90>) (#93 <https://github.com/ros-visualization/rqt_bag/issues/93>)
  * Contributors: Martin Pecka, Michael Grupp

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Feb 2021 00:00:00 -0000

ros-one-rqt-bag (0.5.0-0jammy) jammy; urgency=high

  * Fix a few minor issues in image_helper (#68 <https://github.com/ros-visualization/rqt_bag/issues/68>)
  * Clean up widgets in plot_view layout correctly (#69 <https://github.com/ros-visualization/rqt_bag/issues/69>)
  * Fix tuples for bisect calls (#67 <https://github.com/ros-visualization/rqt_bag/issues/67>)
  * Make the save and record dialogs work the same way (#64 <https://github.com/ros-visualization/rqt_bag/issues/64>)
  * Fix issue: no vertical scroll bar until window is resized (#63 <https://github.com/ros-visualization/rqt_bag/issues/63>)
  * Dynamically resize the timeline when recording (#66 <https://github.com/ros-visualization/rqt_bag/issues/66>)
  * Fix a bug with the status line progress bar (#62 <https://github.com/ros-visualization/rqt_bag/issues/62>)
  * Update a few minor status bar-related items (#61 <https://github.com/ros-visualization/rqt_bag/issues/61>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.15-0jammy) jammy; urgency=high

  * fix Python 3 issue: long/int (#52 <https://github.com/ros-visualization/rqt_bag/issues/52>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Aug 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.14-0jammy) jammy; urgency=high

  * save last directory opened to load a bag file (#40 <https://github.com/ros-visualization/rqt_bag/issues/40>)
  * fix shebang line for Python 3 (#48 <https://github.com/ros-visualization/rqt_bag/issues/48>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.13-0jammy) jammy; urgency=high

  * fix Python 3 exception, wrap filter call in list() (#46 <https://github.com/ros-visualization/rqt_bag/issues/46>)
  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 17 Mar 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.12-0jammy) jammy; urgency=high

  * add support for opening multiple bag files at once (#25 <https://github.com/ros-visualization/rqt_bag/issues/25>)
  * fix debug/warning messages for unicode filenames (#26 <https://github.com/ros-visualization/rqt_bag/issues/26>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Mar 2018 00:00:00 -0000

ros-one-rqt-bag (0.4.11-0jammy) jammy; urgency=high

  * fix regression from version 0.4.10 (#17 <https://github.com/ros-visualization/rqt_bag/issues/17>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Nov 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.10-0jammy) jammy; urgency=high

  * fix regression from version 0.4.9 (#16 <https://github.com/ros-visualization/rqt_bag/issues/16>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.9-0jammy) jammy; urgency=high

  * handle errors happening while loading a bag (#14 <https://github.com/ros-visualization/rqt_bag/issues/14>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Oct 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.8-0jammy) jammy; urgency=high

  * add rqt_bag.launch file (#440 <https://github.com/ros-visualization/rqt_common_plugins/pull/440>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.7-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.6-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.5-0jammy) jammy; urgency=high

  * fix Python 2 regression from version 0.4.4 (#424 <https://github.com/ros-visualization/rqt_common_plugins/issues/424>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.4-0jammy) jammy; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * fix race condition reading bag files (#412 <https://github.com/ros-visualization/rqt_common_plugins/pull/412>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-bag (0.4.2-0jammy) jammy; urgency=high

  * add "From nodes" button to record mode (#348 <https://github.com/ros-visualization/rqt_common_plugins/issues/348>)
  * show file size of bag file in the status bar (#347 <https://github.com/ros-visualization/rqt_common_plugins/pull/347>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-bag (0.4.1-0jammy) jammy; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-bag//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rqt-bag 0.5.1-10noble.20251014.2055

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_bag)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_bag
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-rqt-bag (0.5.1-10noble.20251014.2055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 14 Oct 2025 20:55:57 +0000

ros-one-rqt-bag (0.5.1-0noble) noble; urgency=high

  * Fix merge sort in bag export. (#96 <https://github.com/ros-visualization/rqt_bag/issues/96>)
  * Reset timeline zoom after loading a new bag. (#97 <https://github.com/ros-visualization/rqt_bag/issues/97>)
  * Fix raw view (#94 <https://github.com/ros-visualization/rqt_bag/issues/94>)
  * Fix crash during merge sort of bag entries (fixes #90 <https://github.com/ros-visualization/rqt_bag/issues/90>) (#93 <https://github.com/ros-visualization/rqt_bag/issues/93>)
  * Contributors: Martin Pecka, Michael Grupp

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Feb 2021 00:00:00 -0000

ros-one-rqt-bag (0.5.0-0noble) noble; urgency=high

  * Fix a few minor issues in image_helper (#68 <https://github.com/ros-visualization/rqt_bag/issues/68>)
  * Clean up widgets in plot_view layout correctly (#69 <https://github.com/ros-visualization/rqt_bag/issues/69>)
  * Fix tuples for bisect calls (#67 <https://github.com/ros-visualization/rqt_bag/issues/67>)
  * Make the save and record dialogs work the same way (#64 <https://github.com/ros-visualization/rqt_bag/issues/64>)
  * Fix issue: no vertical scroll bar until window is resized (#63 <https://github.com/ros-visualization/rqt_bag/issues/63>)
  * Dynamically resize the timeline when recording (#66 <https://github.com/ros-visualization/rqt_bag/issues/66>)
  * Fix a bug with the status line progress bar (#62 <https://github.com/ros-visualization/rqt_bag/issues/62>)
  * Update a few minor status bar-related items (#61 <https://github.com/ros-visualization/rqt_bag/issues/61>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.15-0noble) noble; urgency=high

  * fix Python 3 issue: long/int (#52 <https://github.com/ros-visualization/rqt_bag/issues/52>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Aug 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.14-0noble) noble; urgency=high

  * save last directory opened to load a bag file (#40 <https://github.com/ros-visualization/rqt_bag/issues/40>)
  * fix shebang line for Python 3 (#48 <https://github.com/ros-visualization/rqt_bag/issues/48>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.13-0noble) noble; urgency=high

  * fix Python 3 exception, wrap filter call in list() (#46 <https://github.com/ros-visualization/rqt_bag/issues/46>)
  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 17 Mar 2020 00:00:00 -0000

ros-one-rqt-bag (0.4.12-0noble) noble; urgency=high

  * add support for opening multiple bag files at once (#25 <https://github.com/ros-visualization/rqt_bag/issues/25>)
  * fix debug/warning messages for unicode filenames (#26 <https://github.com/ros-visualization/rqt_bag/issues/26>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Mar 2018 00:00:00 -0000

ros-one-rqt-bag (0.4.11-0noble) noble; urgency=high

  * fix regression from version 0.4.10 (#17 <https://github.com/ros-visualization/rqt_bag/issues/17>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Nov 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.10-0noble) noble; urgency=high

  * fix regression from version 0.4.9 (#16 <https://github.com/ros-visualization/rqt_bag/issues/16>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.9-0noble) noble; urgency=high

  * handle errors happening while loading a bag (#14 <https://github.com/ros-visualization/rqt_bag/issues/14>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Oct 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.8-0noble) noble; urgency=high

  * add rqt_bag.launch file (#440 <https://github.com/ros-visualization/rqt_common_plugins/pull/440>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.7-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.6-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.5-0noble) noble; urgency=high

  * fix Python 2 regression from version 0.4.4 (#424 <https://github.com/ros-visualization/rqt_common_plugins/issues/424>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.4-0noble) noble; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * fix race condition reading bag files (#412 <https://github.com/ros-visualization/rqt_common_plugins/pull/412>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-bag (0.4.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-bag (0.4.2-0noble) noble; urgency=high

  * add "From nodes" button to record mode (#348 <https://github.com/ros-visualization/rqt_common_plugins/issues/348>)
  * show file size of bag file in the status bar (#347 <https://github.com/ros-visualization/rqt_common_plugins/pull/347>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-bag (0.4.1-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-rqt-bag
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin
Homepage: http://wiki.ros.org/rqt_bag
Standards-Version: 3.9.2

Package: ros-one-rqt-bag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-one-python-qt-binding (>= 0.2.19), ros-one-rosbag, ros-one-rosgraph-msgs, ros-one-roslib, ros-one-rosnode, ros-one-rospy, ros-one-rqt-gui (>= 0.2.12), ros-one-rqt-gui-py
Description: rqt_bag provides a GUI plugin for displaying and replaying ROS bag files.
